<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Orbizen Cloud - Domains</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="animations.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
</head>
<body>
    <div class="dashboard-container">
        <!-- Sidebar -->
        <aside class="sidebar">
            <div class="sidebar-header">
                <div class="logo">
                    <img src="https://via.placeholder.com/35" alt="Orbizen Logo">
                </div>
                <button class="sidebar-toggle" id="sidebarToggle">
                    <i class="fa-solid fa-angles-left"></i>
                </button>
            </div>

            <div class="sidebar-search">
                <div class="search-container">
                    <i class="fa-solid fa-search search-icon"></i>
                    <input type="text" placeholder="Search Orbizen...">
                    <span class="keyboard-shortcut">⌘K</span>
                </div>
            </div>

            <div class="team-selector">
                <div class="team-avatar">O</div>
                <div class="team-name">orbizen-limited's team</div>
                <button class="team-menu-toggle">
                    <i class="fa-solid fa-chevron-down"></i>
                </button>
            </div>

            <nav class="sidebar-nav">
                <ul>
                    <li>
                        <a href="index.php"><i class="fa-solid fa-server"></i> <span>Sites</span></a>
                    </li>
                    <li>
                        <a href="projects.php" class="project-manager-toggle"><i class="fa-solid fa-folder"></i> <span>Project Manager</span> <i class="fa-solid fa-chevron-down sub-menu-toggle"></i></a>
                        <ul class="sub-menu">
                            <li><a href="projects.php#project-list"><i class="fa-solid fa-list"></i> <span>Project List</span></a></li>
                            <li><a href="projects.php#domain-management"><i class="fa-solid fa-globe"></i> <span>Domain Management</span></a></li>
                            <li><a href="projects.php#terminal"><i class="fa-solid fa-terminal"></i> <span>Terminal</span></a></li>
                            <li><a href="projects.php#php-config"><i class="fa-brands fa-php"></i> <span>PHP Configuration</span></a></li>
                            <li><a href="projects.php#visibility"><i class="fa-solid fa-eye"></i> <span>Visibility</span></a></li>
                            <li><a href="projects.php#other-settings"><i class="fa-solid fa-cog"></i> <span>Other Settings</span></a></li>
                        </ul>
                    </li>
                    <li>
                        <a href="deployments.php"><i class="fa-solid fa-code-branch"></i> <span>Deployments</span></a>
                    </li>
                    <li>
                        <a href="extensions.php"><i class="fa-solid fa-puzzle-piece"></i> <span>Extensions</span></a>
                    </li>
                    <li class="active">
                        <a href="domains.php"><i class="fa-solid fa-globe"></i> <span>Domains</span></a>
                    </li>
                    <li>
                        <a href="billing.php"><i class="fa-solid fa-credit-card"></i> <span>Billing</span></a>
                    </li>
                </ul>
            </nav>

            <div class="sidebar-footer">
                <button class="upgrade-button">Upgrade</button>
                <div class="user-info">
                    <div class="user-avatar">
                        <img src="https://via.placeholder.com/30" alt="User avatar">
                    </div>
                    <div class="user-details">
                        <div class="user-name">Md Siyam</div>
                        <div class="user-email">orbizen.com@gmail.com</div>
                    </div>
                </div>
            </div>
        </aside>

        <!-- Main Content -->
        <main class="main-content fade-in">
            <header class="main-header">
                <h1>Domains</h1>
                <div class="header-actions">
                    <button class="news-button">
                        <i class="fa-solid fa-bell"></i>
                        <span class="notification-dot"></span>
                        News
                    </button>
                    <button class="support-button">
                        <i class="fa-solid fa-question-circle"></i>
                        Support
                    </button>
                    <div class="user-avatar large">O</div>
                </div>
            </header>

            <section id="domains" class="content-section active">
                <div class="domain-list view-transition">
                    <div class="domain-item">
                        <div class="domain-info">
                            <h3>orbizen.com</h3>
                            <p>Registered on Jan 1, 2025 | Expires on Jan 1, 2026</p>
                        </div>
                        <div class="domain-actions">
                            <button class="action-button">Renew</button>
                            <button class="action-button">Manage DNS</button>
                        </div>
                    </div>
                    <button class="add-site-button">Add new domain</button>
                </div>
            </section>
        </main>
    </div>

    <script src="script.js"></script>
</body>
</html>