<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Orbizen Cloud - Just in a click</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="animations.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
</head>
<body>
    <div class="dashboard-container">
        <!-- Sidebar -->
        <aside class="sidebar">
            <div class="sidebar-header">
                <div class="logo">
                    <img src="https://via.placeholder.com/35" alt="Orbizen Logo">
                </div>
                <button class="sidebar-toggle" id="sidebarToggle">
                    <i class="fa-solid fa-angles-left"></i>
                </button>
            </div>

            <div class="sidebar-search">
                <div class="search-container">
                    <i class="fa-solid fa-search search-icon"></i>
                    <input type="text" placeholder="Search Orbizen...">
                    <span class="keyboard-shortcut">⌘K</span>
                </div>
            </div>

            <div class="team-selector">
                <div class="team-avatar">O</div>
                <div class="team-name">orbizen-limited's team</div>
                <button class="team-menu-toggle">
                    <i class="fa-solid fa-chevron-down"></i>
                </button>
            </div>

            <!-- the sidebar-nav section -->
            <nav class="sidebar-nav">
                <ul>
                    <li class="active">
                        <a href="index.php"><i class="fa-solid fa-server"></i> <span>Sites</span></a>
                    </li>
                    <li>
                        <a href="projects.php" class="project-manager-toggle"><i class="fa-solid fa-folder"></i> <span>Project Manager</span> <i class="fa-solid fa-chevron-down sub-menu-toggle"></i></a>
                        <ul class="sub-menu">
                            <li><a href="projects.php#project-list"><i class="fa-solid fa-list"></i> <span>Project List</span></a></li>
                            <li><a href="projects.php#domain-management"><i class="fa-solid fa-globe"></i> <span>Domain Management</span></a></li>
                            <li><a href="projects.php#terminal"><i class="fa-solid fa-terminal"></i> <span>Terminal</span></a></li>
                            <li><a href="projects.php#php-config"><i class="fa-brands fa-php"></i> <span>PHP Configuration</span></a></li>
                            <li><a href="projects.php#visibility"><i class="fa-solid fa-eye"></i> <span>Visibility</span></a></li>
                            <li><a href="projects.php#other-settings"><i class="fa-solid fa-cog"></i> <span>Other Settings</span></a></li>
                        </ul>
                    </li>
                    <li>
                        <a href="deployments.php"><i class="fa-solid fa-code-branch"></i> <span>Deployments</span></a>
                    </li>
                    <li>
                        <a href="extensions.php"><i class="fa-solid fa-puzzle-piece"></i> <span>Extensions</span></a>
                    </li>
                    <li>
                        <a href="domains.php"><i class="fa-solid fa-globe"></i> <span>Domains</span></a>
                    </li>
                    <li>
                        <a href="billing.php"><i class="fa-solid fa-credit-card"></i> <span>Billing</span></a>
                    </li>
                </ul>
            </nav>

            <div class="sidebar-footer">
                <button class="upgrade-button">Upgrade</button>
                <div class="user-info">
                    <div class="user-avatar">
                        <img src="https://via.placeholder.com/30" alt="User avatar">
                    </div>
                    <div class="user-details">
                        <div class="user-name">Md Siyam</div>
                        <div class="user-email">orbizen.com@gmail.com</div>
                    </div>
                </div>
            </div>
        </aside>

        <!-- Main Content -->
        <main class="main-content fade-in">
            <header class="main-header">
                <h1 id="main-title">Sites</h1>
                <div class="header-actions">
                    <button class="news-button">
                        <i class="fa-solid fa-bell"></i>
                        <span class="notification-dot"></span>
                        News
                    </button>
                    <button class="support-button">
                        <i class="fa-solid fa-question-circle"></i>
                        Support
                    </button>
                    <div class="user-avatar large">O</div>
                </div>
            </header>

            <!-- Sites Section -->
            <section id="sites" class="content-section active">
                <!-- Existing Sites content (Plan Status, Usage Stats, Onboarding, Site Search, Sites List, Drop Area) -->
                <div class="plan-status">
                    <div class="plan-badge animated-bg">Free</div>
                </div>
                <div class="usage-stats">
                    <div class="stat-card">
                        <div class="stat-header">
                            <span>Bandwidth</span>
                            <i class="fa-solid fa-arrow-right"></i>
                        </div>
                        <div class="stat-value">0 KB</div>
                        <div class="stat-limit">/100 GB</div>
                    </div>
                    <!-- Other stat cards -->
                </div>
                <div class="onboarding-status view-transition">
                    <div class="onboarding-header">
                        <h2>Get started with Orbizen Cloud</h2>
                        <div class="progress-indicator">
                            <div class="progress-bar">
                                <div class="progress" style="width: 28%"></div>
                            </div>
                            <div class="progress-text">2/7</div>
                        </div>
                    </div>
                    <div class="onboarding-cards">
                        <div class="onboarding-card">
                            <div class="card-icon animated-icon">
                                <i class="fa-solid fa-rocket"></i>
                            </div>
                            <div class="card-content">
                                <h3>Customize site name</h3>
                                <p>Make it your own</p>
                            </div>
                        </div>
                        <!-- Other onboarding cards -->
                    </div>
                    <div class="onboarding-welcome pulse">
                        <p>👋 Let's build your first PHP site!</p>
                        <button class="dismiss-button">Dismiss</button>
                    </div>
                </div>
                <div class="site-search-container view-transition">
                    <div class="search-box">
                        <i class="fa-solid fa-search"></i>
                        <input type="text" placeholder="Search sites">
                    </div>
                    <div class="filters">
                        <div class="filter-group">
                            <span>Owned by</span>
                            <button class="filter-button active">This team</button>
                        </div>
                        <!-- Other filters -->
                    </div>
                    <div class="add-site-container">
                        <button class="add-site-button">
                            Add new site
                            <i class="fa-solid fa-chevron-down"></i>
                        </button>
                        <div class="view-options">
                            <button class="sort-button">
                                Last published
                                <i class="fa-solid fa-chevron-down"></i>
                            </button>
                            <div class="view-toggle">
                                <button class="list-view active">
                                    <i class="fa-solid fa-list"></i>
                                </button>
                                <button class="grid-view">
                                    <i class="fa-solid fa-th-large"></i>
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="sites-list view-transition">
                    <div class="site-item">
                        <div class="site-preview">
                            <img src="https://via.placeholder.com/120x80" alt="Site preview">
                        </div>
                        <div class="site-info">
                            <h3 class="site-name">php-blog-5dd089</h3>
                            <p class="site-status">Deployed from Git</p>
                        </div>
                        <div class="site-meta">
                            <p class="site-owner">Owned by orbizen-limited's team</p>
                            <p class="publish-date">Published on Apr 30 (5 days ago)</p>
                        </div>
                        <div class="site-actions">
                            <button class="star-button">
                                <i class="fa-regular fa-star"></i>
                            </button>
                            <button class="more-button">
                                <i class="fa-solid fa-chevron-right"></i>
                            </button>
                        </div>
                    </div>
                    <!-- Other site items -->
                </div>
                <div class="drop-area view-transition">
                    <div class="drop-area-content">
                        <p>Want to deploy a new site without connecting to Git?</p>
                        <p>Drag and drop your site output folder here.</p>
                        <p>Or, <a href="#" class="browse-link">browse to upload</a>.</p>
                    </div>
                </div>
                <div id="loading-container" style="display: none; text-align: center; padding: 20px;">
                    <div class="loading-spinner"></div>
                    <p style="margin-top: 10px;">Processing your request...</p>
                </div>
            </section>

            <!-- Project List Section -->
            <section id="project-list" class="content-section">
                <div class="site-search-container view-transition">
                    <div class="search-box">
                        <i class="fa-solid fa-search"></i>
                        <input type="text" placeholder="Search projects">
                    </div>
                    <div class="filters">
                        <div class="filter-group">
                            <span>Owned by</span>
                            <button class="filter-button active">This team</button>
                        </div>
                        <div class="filter-group">
                            <span>Created by</span>
                            <button class="filter-button">Anyone</button>
                        </div>
                        <div class="filter-group">
                            <span>Status</span>
                            <button class="filter-button">Active</button>
                        </div>
                        <button class="edit-filters-button">Edit filters</button>
                    </div>
                    <div class="add-site-container">
                        <button class="add-site-button">
                            Add new project
                            <i class="fa-solid fa-chevron-down"></i>
                        </button>
                    </div>
                </div>
                <div class="sites-list view-transition">
                    <div class="site-item">
                        <div class="site-preview">
                            <img src="https://via.placeholder.com/120x80" alt="Project preview">
                        </div>
                        <div class="site-info">
                            <h3 class="site-name">project-alpha-7b3f2c</h3>
                            <p class="site-status">Active</p>
                        </div>
                        <div class="site-meta">
                            <p class="site-owner">Owned by orbizen-limited's team</p>
                            <p class="publish-date">Created on May 1, 2025</p>
                        </div>
                        <div class="site-actions">
                            <button class="star-button">
                                <i class="fa-regular fa-star"></i>
                            </button>
                            <button class="more-button">
                                <i class="fa-solid fa-chevron-right"></i>
                            </button>
                        </div>
                    </div>
                    <!-- Add more project items as needed -->
                </div>
            </section>

            <!-- Domain Management Section -->
            <section id="domain-management" class="content-section">
                <div class="domain-list view-transition">
                    <div class="domain-item">
                        <div class="domain-info">
                            <h3>example.com</h3>
                            <p>Registered on May 1, 2025 | Expires on May 1, 2026</p>
                        </div>
                        <div class="domain-actions">
                            <button class="action-button">Renew</button>
                            <button class="action-button">Manage DNS</button>
                        </div>
                    </div>
                    <button class="add-site-button">Add new domain</button>
                </div>
            </section>

            <!-- Terminal Section -->
            <section id="terminal" class="content-section">
                <div class="terminal-container view-transition">
                    <div class="terminal-header">
                        <span>Terminal</span>
                        <button class="clear-terminal">Clear</button>
                    </div>
                    <div class="terminal-output" contenteditable="true">
                        <p>$ Welcome to Orbizen Cloud Terminal</p>
                        <p>Type 'help' for available commands</p>
                    </div>
                </div>
            </section>

            <!-- PHP Configuration Section -->
            <section id="php-config" class="content-section">
                <div class="php-config-container view-transition">
                    <div class="config-item">
                        <label>PHP Version</label>
                        <select>
                            <option value="8.2">PHP 8.2</option>
                            <option value="8.1">PHP 8.1</option>
                            <option value="7.4">PHP 7.4</option>
                        </select>
                    </div>
                    <div class="config-item">
                        <label>Extensions</label>
                        <div class="extension-list">
                            <label><input type="checkbox" checked> mbstring</label>
                            <label><input type="checkbox"> gd</label>
                            <label><input type="checkbox"> curl</label>
                        </div>
                    </div>
                    <button class="save-button">Save Changes</button>
                </div>
            </section>

            <!-- Visibility Section -->
            <section id="visibility" class="content-section">
                <div class="visibility-container view-transition">
                    <div class="visibility-item">
                        <h3>Project Visibility</h3>
                        <label>
                            <input type="radio" name="visibility" value="public" checked> Public
                        </label>
                        <label>
                            <input type="radio" name="visibility" value="private"> Private
                        </label>
                    </div>
                    <button class="save-button">Save Changes</button>
                </div>
            </section>

            <!-- Other Settings Section -->
            <section id="other-settings" class="content-section">
                <div class="settings-container view-transition">
                    <div class="setting-item">
                        <label>Environment Variables</label>
                        <textarea placeholder="KEY=VALUE"></textarea>
                    </div>
                    <button class="save-button">Save Changes</button>
                </div>
            </section>

            <!-- Extensions Section -->
            <section id="extensions" class="content-section">
                <div class="extensions-list view-transition">
                    <div class="extension-item">
                        <div class="extension-info">
                            <h3>Database Manager</h3>
                            <p>Manage MySQL and PostgreSQL databases</p>
                        </div>
                        <button class="action-button">Install</button>
                    </div>
                    <button class="add-site-button">Browse Extensions</button>
                </div>
            </section>

            <!-- Domains Section -->
            <section id="domains" class="content-section">
                <div class="domain-list view-transition">
                    <div class="domain-item">
                        <div class="domain-info">
                            <h3>orbizen.com</h3>
                            <p>Registered on Jan 1, 2025 | Expires on Jan 1, 2026</p>
                        </div>
                        <div class="domain-actions">
                            <button class="action-button">Renew</button>
                            <button class="action-button">Manage DNS</button>
                        </div>
                    </div>
                    <button class="add-site-button">Add new domain</button>
                </div>
            </section>

            <!-- Billing Section -->
            <section id="billing" class="content-section">
                <div class="billing-container view-transition">
                    <div class="billing-plan">
                        <h3>Current Plan: Free</h3>
                        <p>Upgrade to unlock more features</p>
                        <button class="upgrade-button">Upgrade Plan</button>
                    </div>
                    <div class="billing-history">
                        <h3>Billing History</h3>
                        <div class="billing-item">
                            <p>Invoice #001 - May 1, 2025</p>
                            <p>$0.00 (Free Plan)</p>
                        </div>
                    </div>
                </div>
            </section>
        </main>
    </div>

    <script src="script.js"></script>
</body>
</html>