<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Orbizen Cloud - Project Manager</title>
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="animations.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
</head>
<body>
    <div class="dashboard-container">
        <!-- Sidebar -->
        <aside class="sidebar">
            <div class="sidebar-header">
                <div class="logo">
                    <img src="https://via.placeholder.com/35" alt="Orbizen Logo">
                </div>
                <button class="sidebar-toggle" id="sidebarToggle">
                    <i class="fa-solid fa-angles-left"></i>
                </button>
            </div>

            <div class="sidebar-search">
                <div class="search-container">
                    <i class="fa-solid fa-search search-icon"></i>
                    <input type="text" placeholder="Search Orbizen...">
                    <span class="keyboard-shortcut">⌘K</span>
                </div>
            </div>

            <div class="team-selector">
                <div class="team-avatar">O</div>
                <div class="team-name">orbizen-limited's team</div>
                <button class="team-menu-toggle">
                    <i class="fa-solid fa-chevron-down"></i>
                </button>
            </div>

            <nav class="sidebar-nav">
                <ul>
                    <li>
                        <a href="index.php"><i class="fa-solid fa-server"></i> <span>Sites</span></a>
                    </li>
                    <li class="active">
                        <a href="projects.php" class="project-manager-toggle"><i class="fa-solid fa-folder"></i> <span>Project Manager</span> <i class="fa-solid fa-chevron-down sub-menu-toggle"></i></a>
                        <ul class="sub-menu active">
                            <li class="active"><a href="#project-list"><i class="fa-solid fa-list"></i> <span>Project List</span></a></li>
                            <li><a href="#domain-management"><i class="fa-solid fa-globe"></i> <span>Domain Management</span></a></li>
                            <li><a href="#terminal"><i class="fa-solid fa-terminal"></i> <span>Terminal</span></a></li>
                            <li><a href="#php-config"><i class="fa-brands fa-php"></i> <span>PHP Configuration</span></a></li>
                            <li><a href="#visibility"><i class="fa-solid fa-eye"></i> <span>Visibility</span></a></li>
                            <li><a href="#other-settings"><i class="fa-solid fa-cog"></i> <span>Other Settings</span></a></li>
                        </ul>
                    </li>
                    <li>
                        <a href="deployments.php"><i class="fa-solid fa-code-branch"></i> <span>Deployments</span></a>
                    </li>
                    <li>
                        <a href="extensions.php"><i class="fa-solid fa-puzzle-piece"></i> <span>Extensions</span></a>
                    </li>
                    <li>
                        <a href="domains.php"><i class="fa-solid fa-globe"></i> <span>Domains</span></a>
                    </li>
                    <li>
                        <a href="billing.php"><i class="fa-solid fa-credit-card"></i> <span>Billing</span></a>
                    </li>
                </ul>
            </nav>

            <div class="sidebar-footer">
                <button class="upgrade-button">Upgrade</button>
                <div class="user-info">
                    <div class="user-avatar">
                        <img src="https://via.placeholder.com/30" alt="User avatar">
                    </div>
                    <div class="user-details">
                        <div class="user-name">Md Siyam</div>
                        <div class="user-email">orbizen.com@gmail.com</div>
                    </div>
                </div>
            </div>
        </aside>

        <!-- Main Content -->
        <main class="main-content fade-in">
            <header class="main-header">
                <h1 id="main-title">Project List</h1>
                <div class="header-actions">
                    <button class="news-button">
                        <i class="fa-solid fa-bell"></i>
                        <span class="notification-dot"></span>
                        News
                    </button>
                    <button class="support-button">
                        <i class="fa-solid fa-question-circle"></i>
                        Support
                    </button>
                    <div class="user-avatar large">O</div>
                </div>
            </header>

            <!-- Project List Section -->
            <section id="project-list" class="content-section active">
                <div class="site-search-container view-transition">
                    <div class="search-box">
                        <i class="fa-solid fa-search"></i>
                        <input type="text" placeholder="Search projects">
                    </div>
                    <div class="filters">
                        <div class="filter-group">
                            <span>Owned by</span>
                            <button class="filter-button active">This team</button>
                        </div>
                        <div class="filter-group">
                            <span>Created by</span>
                            <button class="filter-button">Anyone</button>
                        </div>
                        <div class="filter-group">
                            <span>Status</span>
                            <button class="filter-button">Active</button>
                        </div>
                        <button class="edit-filters-button">Edit filters</button>
                    </div>
                    <div class="add-site-container">
                        <button class="add-site-button">
                            Add new project
                            <i class="fa-solid fa-chevron-down"></i>
                        </button>
                    </div>
                </div>
                <div class="sites-list view-transition">
                    <div class="site-item">
                        <div class="site-preview">
                            <img src="https://via.placeholder.com/120x80" alt="Project preview">
                        </div>
                        <div class="site-info">
                            <h3 class="site-name">project-alpha-7b3f2c</h3>
                            <p class="site-status">Active</p>
                        </div>
                        <div class="site-meta">
                            <p class="site-owner">Owned by orbizen-limited's team</p>
                            <p class="publish-date">Created on May 1, 2025</p>
                        </div>
                        <div class="site-actions">
                            <button class="star-button">
                                <i class="fa-regular fa-star"></i>
                            </button>
                            <button class="more-button">
                                <i class="fa-solid fa-chevron-right"></i>
                            </button>
                        </div>
                    </div>
                </div>
            </section>

            <!-- Domain Management Section -->
            <section id="domain-management" class="content-section">
                <div class="domain-list view-transition">
                    <div class="domain-item">
                        <div class="domain-info">
                            <h3>example.com</h3>
                            <p>Registered on May 1, 2025 | Expires on May 1, 2026</p>
                        </div>
                        <div class="domain-actions">
                            <button class="action-button">Renew</button>
                            <button class="action-button">Manage DNS</button>
                        </div>
                    </div>
                    <button class="add-site-button">Add new domain</button>
                </div>
            </section>

            <!-- Terminal Section -->
            <section id="terminal" class="content-section">
                <div class="terminal-container view-transition">
                    <div class="terminal-header">
                        <span>Terminal</span>
                        <button class="clear-terminal">Clear</button>
                    </div>
                    <div class="terminal-output" contenteditable="true">
                        <p>$ Welcome to Orbizen Cloud Terminal</p>
                        <p>Type 'help' for available commands</p>
                    </div>
                </div>
            </section>

            <!-- PHP Configuration Section -->
            <section id="php-config" class="content-section">
                <div class="php-config-container view-transition">
                    <div class="config-item">
                        <label>PHP Version</label>
                        <select>
                            <option value="8.2">PHP 8.2</option>
                            <option value="8.1">PHP 8.1</option>
                            <option value="7.4">PHP 7.4</option>
                        </select>
                    </div>
                    <div class="config-item">
                        <label>Extensions</label>
                        <div class="extension-list">
                            <label><input type="checkbox" checked> mbstring</label>
                            <label><input type="checkbox"> gd</label>
                            <label><input type="checkbox"> curl</label>
                        </div>
                    </div>
                    <button class="save-button">Save Changes</button>
                </div>
            </section>

            <!-- Visibility Section -->
            <section id="visibility" class="content-section">
                <div class="visibility-container view-transition">
                    <div class="visibility-item">
                        <h3>Project Visibility</h3>
                        <label>
                            <input type="radio" name="visibility" value="public" checked> Public
                        </label>
                        <label>
                            <input type="radio" name="visibility" value="private"> Private
                        </label>
                    </div>
                    <button class="save-button">Save Changes</button>
                </div>
            </section>

            <!-- Other Settings Section -->
            <section id="other-settings" class="content-section">
                <div class="settings-container view-transition">
                    <div class="setting-item">
                        <label>Environment Variables</label>
                        <textarea placeholder="KEY=VALUE"></textarea>
                    </div>
                    <button class="save-button">Save Changes</button>
                </div>
            </section>
        </main>
    </div>

    <script src="script.js"></script>
</body>
</html>